> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List encryption keys

> Lists all encryption keys for the authenticated company.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /encryption-keys
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /encryption-keys:
    get:
      tags:
        - Encryption Keys
      summary: List encryption keys
      description: Lists all encryption keys for the authenticated company.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponseBodyEncryptionKey'
          description: OK
        '500':
          description: Internal Server Error
components:
  schemas:
    ListResponseBodyEncryptionKey:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PayloadsEncryptionKey'
          type: array
      required:
        - items
      type: object
    PayloadsEncryptionKey:
      properties:
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        kmsKeyUUID:
          format: uuid
          nullable: true
          type: string
        name:
          type: string
        type:
          type: string
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - name
        - type
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````